Subject: Re: [PATCH] ppp: fix segfaults introduced by netdev_priv changes

From: James Chapman <[email-masked]>
Date: Thu, 18 Dec 2008 10:28:19 +0000

David Miller wrote:
> From: James Chapman <[email-masked]>
> Date: Wed, 17 Dec 2008 22:02:16 GMT
> 
>> +	} else
>> +		ppp_unlock(ppp);
>> +
>>  	cardmap_set(&all_ppp_units, ppp->file.index, NULL);
>>  	ppp->file.dead = 1;
>>  	ppp->owner = NULL;
> 
> James, thanks for this fix.  But you'll need to respin this
> as it conflicts with the IDR changes that are in net-next-2.6
> (this cardmap_set call isn't there any more, for example).

The patch is against net-2.6. I assumed it was appropriate for net-2.6
since we're on rc8 and ppp has been broken since rc6. :) Sorry I didn't
mention that in the patch.

I'll spin a version for net-next-2.6 later today.

-- 
James Chapman
Katalix Systems Ltd
http://www.katalix.com
Catalysts for your Embedded Linux software development